﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication3.Models
{
    public class SampleData
    {
        public List<DataItem> Items { get; set; }

        public SampleData()
        {
            Items = new List<DataItem>();
            Random rand = new Random();
            for (int i = 0; i < 10; i++)
            {
                Items.Add(new DataItem
                {
                    ID = i,
                    Text = "Item" + i,
                    Value = rand.NextDouble() * 10,
                    Date = DateTime.Today.AddDays(-i)
                });
            }
        }
    }

    public class DataItem
    {
        public int ID { get; set; }
        public string Text { get; set; }
        public double Value { get; set; }
        public DateTime Date { get; set; }
    }
}